Bug 862290 - [RFE] Type extensions should list non-type repos as well so the user is aware they exist
[RFE] Type extensions should list non-type repos as well so the user is aware...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 42
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 10:32 EDT by Jay Dobies
Modified: 2013-09-09 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:07:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Dobies 2012-10-02 10:32:08 EDT
We discussed this in the CLI review but didn't yet incorporate it. It still need a bit of thought as to exactly what it will look like. An example of what it could look like:

+----------------------------------------------------------------------+
                           Puppet Repositories
+----------------------------------------------------------------------+

Id:                 p1
Display Name:       p1
Description:        None
Content Unit Count: 0

Id:                 p2
Display Name:       p2
Description:        None
Content Unit Count: 0

Id:                 p3
Display Name:       p3
Description:        None
Content Unit Count: 5

+----------------------------------------------------------------------+
                           Other Repositories
+----------------------------------------------------------------------+

Id:           r1
Display Name: Some RPM Repo

Id:           j1
Display Name: Some JBoss Repo
Comment 1 Jay Dobies 2012-11-28 11:26:22 EST
Added optional support for listing non-type repositories. This option is only available in the support bundle repo sections; the root "repo list" command displays all by its very nature and does not support the flag:


---- Root Repo List Command ----


╭─[jdob]─[hinterlands]─[~]─[]─●
╰─➤ pulp-admin repo list
+----------------------------------------------------------------------+
                              Repositories
+----------------------------------------------------------------------+

Id:                 test-repo
Display Name:       test-repo
Description:        None
Content Unit Count: 0

Id:                 test-repo-2
Display Name:       test-repo-2
Description:        None
Content Unit Count: 0

Id:                 puppet-repo-1
Display Name:       puppet-repo-1
Description:        None
Content Unit Count: 0

Id:                 puppet-repo-2
Display Name:       puppet-repo-2
Description:        None
Content Unit Count: 0

Id:                 puppet-repo-3
Display Name:       puppet-repo-3
Description:        None
Content Unit Count: 0


╭─[jdob]─[hinterlands]─[~]─[]─●
╰─➤ pulp-admin repo list -a
Usage: pulp-admin [options]

Command: list
Description: lists repositories on the Pulp server

Available Arguments:

  --details - if specified, detailed configuration information is displayed for
              each repository
  --fields  - comma-separated list of repository fields; if specified, only the
              given fields will displayed


---- RPM List Command Supports All Flag ----

╭─[jdob]─[hinterlands]─[~]─[]─●
╰─➤ pulp-admin rpm repo list                               
+----------------------------------------------------------------------+
                            RPM Repositories
+----------------------------------------------------------------------+

Id:                 test-repo
Display Name:       test-repo
Description:        None
Content Unit Count: 0

Id:                 test-repo-2
Display Name:       test-repo-2
Description:        None
Content Unit Count: 0


╭─[jdob]─[hinterlands]─[~]─[]─●
╰─➤ pulp-admin rpm repo list -a
+----------------------------------------------------------------------+
                            RPM Repositories
+----------------------------------------------------------------------+

Id:                 test-repo
Display Name:       test-repo
Description:        None
Content Unit Count: 0

Id:                 test-repo-2
Display Name:       test-repo-2
Description:        None
Content Unit Count: 0


+----------------------------------------------------------------------+
                        Other Pulp Repositories
+----------------------------------------------------------------------+

Id:           puppet-repo-1
Display Name: puppet-repo-1

Id:           puppet-repo-2
Display Name: puppet-repo-2

Id:           puppet-repo-3
Display Name: puppet-repo-3


---- Puppet List Command Supports All Flag ----


╭─[jdob]─[hinterlands]─[~]─[]─●
╰─➤ pulp-admin puppet repo list
+----------------------------------------------------------------------+
                          Puppet Repositories
+----------------------------------------------------------------------+

Id:                 puppet-repo-1
Display Name:       puppet-repo-1
Description:        None
Content Unit Count: 0

Id:                 puppet-repo-2
Display Name:       puppet-repo-2
Description:        None
Content Unit Count: 0

Id:                 puppet-repo-3
Display Name:       puppet-repo-3
Description:        None
Content Unit Count: 0


╭─[jdob]─[hinterlands]─[~]─[]─●
╰─➤ pulp-admin puppet repo list --all
+----------------------------------------------------------------------+
                          Puppet Repositories
+----------------------------------------------------------------------+

Id:                 puppet-repo-1
Display Name:       puppet-repo-1
Description:        None
Content Unit Count: 0

Id:                 puppet-repo-2
Display Name:       puppet-repo-2
Description:        None
Content Unit Count: 0

Id:                 puppet-repo-3
Display Name:       puppet-repo-3
Description:        None
Content Unit Count: 0


+----------------------------------------------------------------------+
                        Other Pulp Repositories
+----------------------------------------------------------------------+

Id:           test-repo
Display Name: test-repo

Id:           test-repo-2
Display Name: test-repo-2
Comment 2 Jay Dobies 2012-11-28 11:29:19 EST
Commits:

Pulp: commit e6773ce4f9803cde5dedb8f1976d8a6b6aaeb2a6
RPM Git Repo: commit 4913bcf497b3fc8fa6362c4368fa757920cf68b8
Puppet Git Repo: commit 850b12f24ca4d2cc47fa20d55b2c6ff9cfaa33b9
Comment 3 Jeff Ortel 2012-11-29 16:30:16 EST
build: 2.0.6-0.10.beta
Comment 4 Preethi Thomas 2012-12-04 16:18:46 EST
verified

[root@preethi ~]# rpm -q pulp-server
pulp-server-2.0.6-0.11.beta.noarch
[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]# pulp-admin repo list
+----------------------------------------------------------------------+
                              Repositories
+----------------------------------------------------------------------+

Id:                 fedora17
Display Name:       fedora17
Description:        None
Content Unit Count: 3584

Id:                 errata
Display Name:       errata
Description:        None
Content Unit Count: 15

Id:                 copy-errata
Display Name:       copy-errata
Description:        None
Content Unit Count: 4

Id:                 puppet-repo
Display Name:       puppet-repo
Description:        None
Content Unit Count: 23

Id:                 pulp
Display Name:       pulp
Description:        None
Content Unit Count: 0

Id:                 pulp1
Display Name:       pulp1
Description:        None
Content Unit Count: 0


[root@preethi ~]# pulp-admin repo list -a
Usage: pulp-admin [options]

Command: list
Description: lists repositories on the Pulp server

Available Arguments:

  --details - if specified, detailed configuration information is displayed for
              each repository
  --fields  - comma-separated list of repository fields; if specified, only the
              given fields will displayed
[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]# pulp-admin rpm repo list
+----------------------------------------------------------------------+
                            RPM Repositories
+----------------------------------------------------------------------+

Id:                 fedora17
Display Name:       fedora17
Description:        None
Content Unit Count: 3584

Id:                 errata
Display Name:       errata
Description:        None
Content Unit Count: 15

Id:                 copy-errata
Display Name:       copy-errata
Description:        None
Content Unit Count: 4

Id:                 pulp
Display Name:       pulp
Description:        None
Content Unit Count: 0

Id:                 pulp1
Display Name:       pulp1
Description:        None
Content Unit Count: 0


[root@preethi ~]# pulp-admin rpm repo list -a
+----------------------------------------------------------------------+
                            RPM Repositories
+----------------------------------------------------------------------+

Id:                 fedora17
Display Name:       fedora17
Description:        None
Content Unit Count: 3584

Id:                 errata
Display Name:       errata
Description:        None
Content Unit Count: 15

Id:                 copy-errata
Display Name:       copy-errata
Description:        None
Content Unit Count: 4

Id:                 pulp
Display Name:       pulp
Description:        None
Content Unit Count: 0

Id:                 pulp1
Display Name:       pulp1
Description:        None
Content Unit Count: 0


+----------------------------------------------------------------------+
                        Other Pulp Repositories
+----------------------------------------------------------------------+

Id:           puppet-repo
Display Name: puppet-repo


[root@preethi ~]# pulp-admin puppet repo list
+----------------------------------------------------------------------+
                          Puppet Repositories
+----------------------------------------------------------------------+

Id:                 puppet-repo
Display Name:       puppet-repo
Description:        None
Content Unit Count: 23


[root@preethi ~]# pulp-admin puppet repo list  -a
+----------------------------------------------------------------------+
                          Puppet Repositories
+----------------------------------------------------------------------+

Id:                 puppet-repo
Display Name:       puppet-repo
Description:        None
Content Unit Count: 23


+----------------------------------------------------------------------+
                        Other Pulp Repositories
+----------------------------------------------------------------------+

Id:           fedora17
Display Name: fedora17

Id:           errata
Display Name: errata

Id:           copy-errata
Display Name: copy-errata

Id:           pulp
Display Name: pulp

Id:           pulp1
Display Name: pulp1


[root@preethi ~]# pulp-admin puppet repo list  -all
Usage: pulp-admin [options]

Command: list
Description: lists repositories on the Pulp server

Available Arguments:

  --details - if specified, detailed configuration information is displayed for
              each repository
  --fields  - comma-separated list of repository fields; if specified, only the
              given fields will displayed
  --all, -a - if specified, information on all Pulp repositories, regardless of
              type, will be displayed
[root@preethi ~]# 
[root@preethi ~]# pulp-admin puppet repo list  --all
+----------------------------------------------------------------------+
                          Puppet Repositories
+----------------------------------------------------------------------+

Id:                 puppet-repo
Display Name:       puppet-repo
Description:        None
Content Unit Count: 23


+----------------------------------------------------------------------+
                        Other Pulp Repositories
+----------------------------------------------------------------------+

Id:           fedora17
Display Name: fedora17

Id:           errata
Display Name: errata

Id:           copy-errata
Display Name: copy-errata

Id:           pulp
Display Name: pulp

Id:           pulp1
Display Name: pulp1


[root@preethi ~]#
Comment 5 Preethi Thomas 2013-01-09 12:07:26 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.